from setuptools import setup, find_packages

with open("README.md", "r", encoding="utf-8") as fh:
    long_description = fh.read()

setup(
    name="codestory",
    version="0.1.1",
    author="Abhishek Mishra",
    author_email="abhi.mishra922@gmail.com",
    description="A cli tool for generating conventional commit messages using LLM models",
    long_description=long_description,
    long_description_content_type="text/markdown",
    url="https://github.com/yourusername/codestory",
    packages=find_packages(),
    install_requires=[
        "click>=8.0.0,<9.0.0",
        "gitpython>=3.1.0,<4.0.0",
        "python-dotenv>=0.19.0,<1.0.0",
        "outlines==0.0.46",  # Pin to the version you know works
        "pydantic>=2.0.0,<3.0.0",
        "transformers>=4.0.0,<5.0.0",
        "openai>=1.0.0,<2.0.0",
        "google-generativeai>=0.0.1,<1.0.0",
        "anthropic>=0.3.0,<1.0.0",
        "groq>=0.0.1,<1.0.0",
        "requests>=2.0.0,<3.0.0"
    ],
    classifiers=[
        "Development Status :: 3 - Alpha",
        "Intended Audience :: Developers",
        "License :: OSI Approved :: MIT License",
        "Operating System :: OS Independent",
        "Programming Language :: Python :: 3",
        "Programming Language :: Python :: 3.7",
        "Programming Language :: Python :: 3.8",
        "Programming Language :: Python :: 3.9",
    ],
    python_requires=">=3.7",
    entry_points={
        "console_scripts": [
            "codestory=codestory.cli:main",
        ],
    },
)